Jump to content
TNG Community
bobbyfamilytree

Comments MOD

Recommended Posts

bobbyfamilytree

https://tng.lythgoes.net/wiki/index.php?title=Comments

2 part question. Its telling me the mod requires database updates, when I run it I get:

Reports:

Attempting to alter tables...   An error has occurred in the TNG software. This could be due to a setup issue, an incomplete upgrade or a program bug. If you are the site owner, you may contact TNG support for help with this problem. Please copy the query below and paste it into your message.
Query: ALTER TABLE tng_comments ADD commentsApproved tinyint(4) NOT NULL AFTER commentsID;
Duplicate column name 'commentsApproved'

Second - i'd like to remove the part where it says "Please don't use for changes/corrections (use the Suggest tab instead)." - where can I do this?

Thanks, another really good TNG mod.

Share this post


Link to post
Share on other sites
XerxX

Hi,

I'm happy that you like the mod!

 

 

That errormessage is from clicking the "Update..." button and it indicates that you have had a previous version ...2 installed. Maybe 11.1.2.2?

Is the mod not working now? You will notice if you add a comment, as the column "commentsApproved" is used at insert: There will be an error ("Unknown column...").

 

Regarding the text it can be changed this way:

UN-install the mod.

Open the file comments_v12.0.1.2.cfg in your mods folder, in a plaintext editor (like Notepad++ in Win or Textedit in Mac).

Search for $text['commentUse']  - there shall be 10 places but you only need to change the languages you use.

Change only what's between the double-quotes - leave the quotes and everything else as it is.

Be very careful as Modmanager doesn't check the code and PHPerrors will not be visible until you run TNG (most often a white page).

I don't run Windows but seem to remember reading something about saving textfiles without BOM - whatever that means?

It seems important. Maybe other Windows/Notepad++ users can tell you more?

After saving: Reinstall the mod.

 

HTH

Erik

 

Share this post


Link to post
Share on other sites
bobbyfamilytree
51 minutes ago, XerxX said:

Hi,

I'm happy that you like the mod!

That errormessage is from clicking the "Update..." button and it indicates that you have had a previous version ...2 installed. Maybe 11.1.2.2?

Is the mod not working now? You will notice if you add a comment, as the column "commentsApproved" is used at insert: There will be an error ("Unknown column...").

 

 

Sorry I should of said that it is working, it just shows the message. I cant recall using it previously ( I used commentics though). I guess if it is causing no issue (that I can see) then I could just leave it?

Screenshot 2018-10-19 at 7.14.23 PM.png

 

 

I've searched for $text['commentUse'] but it only shows up with other languages, not English.

 

51 minutes ago, XerxX said:

Regarding the text it can be changed this way:

UN-install the mod.

Open the file comments_v12.0.1.2.cfg in your mods folder, in a plaintext editor (like Notepad++ in Win or Textedit in Mac).

Search for $text['commentUse']  - there shall be 10 places but you only need to change the languages you use.

Change only what's between the double-quotes - leave the quotes and everything else as it is.

Be very careful as Modmanager doesn't check the code and PHPerrors will not be visible until you run TNG (most often a white page).

I don't run Windows but seem to remember reading something about saving textfiles without BOM - whatever that means?

It seems important. Maybe other Windows/Notepad++ users can tell you more?

After saving: Reinstall the mod.

HTH

Erik

 

Share this post


Link to post
Share on other sites
XerxX

Bobby; you probably by mistake clicked both buttons.

The text is found at lines 701 (English) and 768 (English-UTF8) in comments_v12.0.1.2.cfg.

Have a good day,

Erik

Share this post


Link to post
Share on other sites
bobbyfamilytree

Erik I have made a change in the cust_text.php file. I added // at the start and this has worked.

// $text['commentUse'] = "Please don't use for changes/corrections (use the Suggest tab instead).";

Would that be Ok to keep?

 

Share this post


Link to post
Share on other sites
bobbyfamilytree
2 minutes ago, XerxX said:

Bobby; you probably by mistake clicked both buttons.

The text is found at lines 701 (English) and 768 (English-UTF8) in comments_v12.0.1.2.cfg.

Have a good day,

Erik

Oh i see, i was looking in the mod folder area for the cfg file, and not within the languages area. Gotcha.

Thankyou very much.

Share this post


Link to post
Share on other sites
XerxX

Isn't the mod now signalling "Partially installed"?

All changes should be made in the .cfg file or - if you don't want to uninstall - at both places.

/Erik

Share this post


Link to post
Share on other sites
bobbyfamilytree

This file comments_v12.0.1.2.cfg  located in the mods area doesnt show $text['commentUse']  / commentUse at the lines 701 (English) and 768 (English-UTF8) Or anywhere within the english languages.

But the change i have made  has worked and i dont get partially installed. Yet 😁

Screenshot 2018-10-19 at 7.59.45 PM.png

Screenshot 2018-10-19 at 7.59.29 PM.png

Share this post


Link to post
Share on other sites
XerxX

This is very strange. If you haven't altered the .cfg file in any way...

I downloaded 12.2, unzipped it, opened the .cfg file and located line 768:

comm1.png

The text is there alright 😄

But as long as it works...

/Erik

Share this post


Link to post
Share on other sites
LizR

Hello,

I am getting that error message too when I installed the comments mod:

Query: ALTER TABLE tng_comments ADD commentsApproved tinyint(4) NOT NULL AFTER commentsID;
Duplicate column name 'commentsApproved'

I am not clear from this thread how you fix the problem?

Thank you for your help,

Liz

Share this post


Link to post
Share on other sites
XerxX

Hello Liz,

 

The message suggests that you already have that table-column.

If that is the message: Try to only Install without clicking any of the database buttons.

 

HTH

Erik

Share this post


Link to post
Share on other sites
LizR

Erik,

Thanks for your response.  I did that but still get the message "requires database updates".  I just ignore that?  The mod seems to be working otherwise.

Liz

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×